Skip to content

Create Video (with Character)

POST https://www.kkiai.com/v1/video/create

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
imagesarray[string]Optional
modelstringRequired
orientationenum<string>Optional
promptstringRequired
durationenum<integer>Optional
character_urlstringOptionalVideo URL required for creating a character. Note: the video must not contain real people, otherwise it will fail
character_timestampsstringOptionalThe time range in seconds when the character appears in the video, format &#123;start&#125;,&#123;end&#125;. Note: the range of end-start must be 1-3 seconds
sizeenum<string>Required

Request Example

json
{
    "images": [],
    "model": "sora-2",
    "orientation": "portrait",
    "prompt": "make animate",
    "duration": 15,
    "character_url": "https://filesystem.site/cdn/20251030/javYrU4etHVFDqg8by7mViTWHlMOZy.mp4",
    "character_timestamps": "1,3",
    "size": "large"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/video/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "images": [],
    "model": "sora-2",
    "orientation": "portrait",
    "prompt": "make animate",
    "duration": 15,
    "character_url": "https://filesystem.site/cdn/20251030/javYrU4etHVFDqg8by7mViTWHlMOZy.mp4",
    "character_timestamps": "1,3",
    "size": "large"
}'

Response

🟢 200 Success

Response Example

json
{
    "id": "sora-2:task_01k900ag82ecgbewj2xa3758z0",
    "status": "pending",
    "status_update_time": 1762010677921
}